# Uses of Class
org.apache.lucene.util.hnsw.OnHeapHnswGraph

Packages that use OnHeapHnswGraph
Package
Description
org.apache.lucene.util.hnsw
Navigable Small-World graph, nominally Hierarchical but currently only has a single layer.

- ## Uses of OnHeapHnswGraph in org.apache.lucene.util.hnsw

  Fields in org.apache.lucene.util.hnsw declared as OnHeapHnswGraph
  Modifier and Type
  Field
  Description
  `protected final OnHeapHnswGraph`
  HnswGraphBuilder.`hnsw`
  Methods in org.apache.lucene.util.hnsw that return OnHeapHnswGraph
  Modifier and Type
  Method
  Description
  `OnHeapHnswGraph`
  HnswBuilder.`build(int maxOrd)`
  Adds all nodes to the graph up to the provided `maxOrd`.
  `OnHeapHnswGraph`
  HnswConcurrentMergeBuilder.`build(int maxOrd)`
  `OnHeapHnswGraph`
  HnswGraphBuilder.`build(int maxOrd)`
  `OnHeapHnswGraph`
  MergingHnswGraphBuilder.`build(int maxOrd)`
  `OnHeapHnswGraph`
  HnswBuilder.`getCompletedGraph()`
  Once this method is called no further updates to the graph are accepted (addGraphNode will throw IllegalStateException).
  `OnHeapHnswGraph`
  HnswConcurrentMergeBuilder.`getCompletedGraph()`
  `OnHeapHnswGraph`
  HnswGraphBuilder.`getCompletedGraph()`
  `OnHeapHnswGraph`
  HnswBuilder.`getGraph()`
  `OnHeapHnswGraph`
  HnswConcurrentMergeBuilder.`getGraph()`
  `OnHeapHnswGraph`
  HnswGraphBuilder.`getGraph()`
  `static OnHeapHnswGraph`
  InitializedHnswGraphBuilder.`initGraph(int M, HnswGraph initializerGraph, int[] newOrdMap, int totalNumberOfVectors)`
  `OnHeapHnswGraph`
  HnswGraphMerger.`merge(KnnVectorValues mergedVectorValues, InfoStream infoStream, int maxOrd)`
  Merge and produce the on heap graph
  `OnHeapHnswGraph`
  IncrementalHnswGraphMerger.`merge(KnnVectorValues mergedVectorValues, InfoStream infoStream, int maxOrd)`
  Methods in org.apache.lucene.util.hnsw with parameters of type OnHeapHnswGraph
  Modifier and Type
  Method
  Description
  `static KnnCollector`
  HnswGraphSearcher.`search(RandomVectorScorer scorer, int topK, OnHeapHnswGraph graph, Bits acceptOrds, int visitedLimit)`
  Search `OnHeapHnswGraph`, this method is thread safe.
  Constructors in org.apache.lucene.util.hnsw with parameters of type OnHeapHnswGraph
  Modifier
  Constructor
  Description
  ``
  `HnswConcurrentMergeBuilder(TaskExecutor taskExecutor, int numWorker, RandomVectorScorerSupplier scorerSupplier, int M, int beamWidth, OnHeapHnswGraph hnsw, BitSet initializedNodes)`
  `protected`
  `HnswGraphBuilder(RandomVectorScorerSupplier scorerSupplier, int M, int beamWidth, long seed, OnHeapHnswGraph hnsw)`
  `protected`
  `HnswGraphBuilder(RandomVectorScorerSupplier scorerSupplier, int M, int beamWidth, long seed, OnHeapHnswGraph hnsw, org.apache.lucene.util.hnsw.HnswLock hnswLock, HnswGraphSearcher graphSearcher)`
  Reads all the vectors from vector values, builds a graph connecting them by their dense ordinals, using the given hyperparameter settings, and returns the resulting graph.
  ``
  `InitializedHnswGraphBuilder(RandomVectorScorerSupplier scorerSupplier, int M, int beamWidth, long seed, OnHeapHnswGraph initializedGraph, BitSet initializedNodes)`